<%= form_for [@mailing, group_files],
             html: {:multipart => true, data: { modal: true } }, authenticity_token: true, remote: request.xhr? do |f| %>
    <%= f.hidden_field :mailing_id %>

    <div class="modal-body">
      <% if group_files.errors.any? %>
          <div id="error_explanation">
            <h2><%= pluralize(group_files.errors.count, "błąd") %> powstrzymuje formularz przed zapisem:</h2>
            <ul>
              <% group_files.errors.full_messages.each do |msg| %>
                  <li><%= msg %></li>
              <% end %>
            </ul>
          </div>
      <% end %>

      <div class="form-group">
        <% f.label :files, "Wybierz pliki" %>
        <%= f.file_field "files", type: :file, multiple: true %>
      </div>
    </div>



    <div class="modal-footer">
      <button type="button" class="btn btn-default" data-dismiss="modal">Anuluj</button>
      <button type="submit" class="btn btn-primary" data-disable-with="<i class='fa fa-spinner fa-spin'></i> Proszę czekać...">Zapisz pliki</button>
    </div>

<% end %>